#ifndef ATL_ctGetNB_geqrf

/*
 * NB selection for GEQRF: Side='RIGHT', Uplo='UPPER'
 * M : 25,240,320,400,480,720,800,880,960,1440,1520,1680,1760,1840,2000,4000
 * N : 25,240,320,400,480,720,800,880,960,1440,1520,1680,1760,1840,2000,4000
 * NB : 6,80,84,88,112,84,32,96,116,80,120,100,80,120,120,80
 */
#define ATL_ctGetNB_geqrf(n_, nb_) \
{ \
   if ((n_) < 132) (nb_) = 6; \
   else if ((n_) < 280) (nb_) = 80; \
   else if ((n_) < 360) (nb_) = 84; \
   else if ((n_) < 440) (nb_) = 88; \
   else if ((n_) < 600) (nb_) = 112; \
   else if ((n_) < 760) (nb_) = 84; \
   else if ((n_) < 840) (nb_) = 32; \
   else if ((n_) < 920) (nb_) = 96; \
   else if ((n_) < 1200) (nb_) = 116; \
   else if ((n_) < 1480) (nb_) = 80; \
   else if ((n_) < 1600) (nb_) = 120; \
   else if ((n_) < 1720) (nb_) = 100; \
   else if ((n_) < 1800) (nb_) = 80; \
   else if ((n_) < 3000) (nb_) = 120; \
   else (nb_) = 80; \
}


#endif    /* end ifndef ATL_ctGetNB_geqrf */
