#ifndef ATL_ztGetNB_geqrf

/*
 * NB selection for GEQRF: Side='RIGHT', Uplo='UPPER'
 * M : 25,240,320,400,480,720,800,880,960,1040,1120,1200,1440,2000,4000
 * N : 25,240,320,400,480,720,800,880,960,1040,1120,1200,1440,2000,4000
 * NB : 4,24,20,104,112,72,104,116,156,180,120,220,220,160,160
 */
#define ATL_ztGetNB_geqrf(n_, nb_) \
{ \
   if ((n_) < 132) (nb_) = 4; \
   else if ((n_) < 280) (nb_) = 24; \
   else if ((n_) < 360) (nb_) = 20; \
   else if ((n_) < 440) (nb_) = 104; \
   else if ((n_) < 600) (nb_) = 112; \
   else if ((n_) < 760) (nb_) = 72; \
   else if ((n_) < 840) (nb_) = 104; \
   else if ((n_) < 920) (nb_) = 116; \
   else if ((n_) < 1000) (nb_) = 156; \
   else if ((n_) < 1080) (nb_) = 180; \
   else if ((n_) < 1160) (nb_) = 120; \
   else if ((n_) < 1720) (nb_) = 220; \
   else (nb_) = 160; \
}


#endif    /* end ifndef ATL_ztGetNB_geqrf */
